Skip to main content
GET
/
api
/
v1
/
registry
/
marketplace
/
{agentName}
/
{agentVersion}
Inspect marketplace registry agent
curl --request GET \
  --url https://api.example.com/api/v1/registry/marketplace/{agentName}/{agentVersion} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/registry/marketplace/{agentName}/{agentVersion}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/registry/marketplace/{agentName}/{agentVersion}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "registryAgent": {
    "info": {
      "capabilities": [],
      "identifier": {
        "name": "<string>",
        "version": "<string>",
        "registrySourceId": {
          "type": "linked",
          "linkedServerId": "<string>"
        }
      },
      "description": "<string>",
      "readme": "<string>",
      "summary": "<string>",
      "license": {
        "type": "spdx",
        "expression": "<string>"
      },
      "keywords": [
        "<string>"
      ],
      "links": {}
    },
    "edition": 123,
    "runtimes": {
      "executable": {
        "path": "<string>",
        "arguments": [
          "<string>"
        ]
      },
      "docker": {
        "image": "<string>",
        "command": [
          "<string>"
        ]
      },
      "function": {}
    },
    "options": {},
    "exportSettings": {},
    "llm": {
      "proxies": [
        {
          "name": "<string>",
          "format": {
            "type": "Anthropic"
          },
          "models": [
            "<string>"
          ]
        }
      ]
    },
    "marketplace": {
      "keywords": [
        "<string>"
      ],
      "pricing": {
        "description": "<string>",
        "recommendations": {
          "min": 123,
          "max": 123
        },
        "currency": "<string>"
      },
      "identities": {
        "erc8004": {
          "wallet": "<string>",
          "endpoints": [
            {
              "name": "<string>",
              "endpoint": "<string>"
            }
          ]
        }
      }
    }
  },
  "restrictions": [
    {
      "type": "linked",
      "linkedServerId": "<string>"
    }
  ],
  "extension": {
    "type": "marketplace",
    "publishedAt": "<string>",
    "iconUrl": "<string>",
    "developer": "<string>"
  }
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentName
string
required

The name of the agent

agentVersion
string
required

The version of the agent

Response

Success

registryAgent
RegistryAgent · object
required
restrictions
(linked · object | local · object | remote · object)[]
required
extension
RegistryAgentExtension · object